Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.Designer.cs	(revision 123)
@@ -61,11 +61,6 @@
             this.cbTargetMonth = new System.Windows.Forms.ComboBox();
             this.label2 = new System.Windows.Forms.Label();
             this.dgvMaster = new System.Windows.Forms.DataGridView();
-            this.btnAddCmp = new System.Windows.Forms.Button();
-            this.btnDelCmp = new System.Windows.Forms.Button();
-            this.btnAddFld = new System.Windows.Forms.Button();
-            this.Registration = new System.Windows.Forms.Button();
-            this.btnEnd = new System.Windows.Forms.Button();
             this.EditStatus = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.No = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.OrderersDivision = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -143,6 +138,11 @@
             this.ApprovalAuthority_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ApprovalDate_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ApprovalOrder_10 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.btnAddCmp = new System.Windows.Forms.Button();
+            this.btnDelCmp = new System.Windows.Forms.Button();
+            this.btnAddFld = new System.Windows.Forms.Button();
+            this.Registration = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
             this.panel1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).BeginInit();
             this.SuspendLayout();
@@ -325,77 +325,9 @@
             this.dgvMaster.RowTemplate.Height = 21;
             this.dgvMaster.Size = new System.Drawing.Size(1399, 474);
             this.dgvMaster.TabIndex = 2;
+            this.dgvMaster.CellBeginEdit += new System.Windows.Forms.DataGridViewCellCancelEventHandler(this.dgvMaster_CellBeginEdit);
+            this.dgvMaster.CellValidating += new System.Windows.Forms.DataGridViewCellValidatingEventHandler(this.dgvMaster_CellValidating);
             // 
-            // btnAddCmp
-            // 
-            this.btnAddCmp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.btnAddCmp.BackColor = System.Drawing.Color.Orange;
-            this.btnAddCmp.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnAddCmp.ForeColor = System.Drawing.Color.Black;
-            this.btnAddCmp.Location = new System.Drawing.Point(8, 597);
-            this.btnAddCmp.Name = "btnAddCmp";
-            this.btnAddCmp.Size = new System.Drawing.Size(120, 30);
-            this.btnAddCmp.TabIndex = 3;
-            this.btnAddCmp.Text = "発注者追加";
-            this.btnAddCmp.UseVisualStyleBackColor = false;
-            this.btnAddCmp.Click += new System.EventHandler(this.btnAddCmp_Click);
-            // 
-            // btnDelCmp
-            // 
-            this.btnDelCmp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.btnDelCmp.BackColor = System.Drawing.Color.Red;
-            this.btnDelCmp.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnDelCmp.ForeColor = System.Drawing.Color.Black;
-            this.btnDelCmp.Location = new System.Drawing.Point(134, 597);
-            this.btnDelCmp.Name = "btnDelCmp";
-            this.btnDelCmp.Size = new System.Drawing.Size(120, 30);
-            this.btnDelCmp.TabIndex = 4;
-            this.btnDelCmp.Text = "発注者削除";
-            this.btnDelCmp.UseVisualStyleBackColor = false;
-            this.btnDelCmp.Click += new System.EventHandler(this.btnDelCmp_Click);
-            // 
-            // btnAddFld
-            // 
-            this.btnAddFld.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-            this.btnAddFld.BackColor = System.Drawing.Color.Aquamarine;
-            this.btnAddFld.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnAddFld.ForeColor = System.Drawing.Color.Black;
-            this.btnAddFld.Location = new System.Drawing.Point(260, 597);
-            this.btnAddFld.Name = "btnAddFld";
-            this.btnAddFld.Size = new System.Drawing.Size(120, 30);
-            this.btnAddFld.TabIndex = 5;
-            this.btnAddFld.Text = "現場追加";
-            this.btnAddFld.UseVisualStyleBackColor = false;
-            this.btnAddFld.Click += new System.EventHandler(this.btnAddFld_Click);
-            // 
-            // Registration
-            // 
-            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.Registration.BackColor = System.Drawing.Color.GreenYellow;
-            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.Registration.ForeColor = System.Drawing.Color.Black;
-            this.Registration.Location = new System.Drawing.Point(1161, 597);
-            this.Registration.Name = "Registration";
-            this.Registration.Size = new System.Drawing.Size(120, 30);
-            this.Registration.TabIndex = 6;
-            this.Registration.Text = "登　録";
-            this.Registration.UseVisualStyleBackColor = false;
-            this.Registration.Click += new System.EventHandler(this.Registration_Click);
-            // 
-            // btnEnd
-            // 
-            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.Black;
-            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 7;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
             // EditStatus
             // 
             this.EditStatus.Frozen = true;
@@ -960,6 +892,76 @@
             this.ApprovalOrder_10.Name = "ApprovalOrder_10";
             this.ApprovalOrder_10.Visible = false;
             // 
+            // btnAddCmp
+            // 
+            this.btnAddCmp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnAddCmp.BackColor = System.Drawing.Color.Orange;
+            this.btnAddCmp.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAddCmp.ForeColor = System.Drawing.Color.Black;
+            this.btnAddCmp.Location = new System.Drawing.Point(8, 597);
+            this.btnAddCmp.Name = "btnAddCmp";
+            this.btnAddCmp.Size = new System.Drawing.Size(120, 30);
+            this.btnAddCmp.TabIndex = 3;
+            this.btnAddCmp.Text = "発注者追加";
+            this.btnAddCmp.UseVisualStyleBackColor = false;
+            this.btnAddCmp.Click += new System.EventHandler(this.btnAddCmp_Click);
+            // 
+            // btnDelCmp
+            // 
+            this.btnDelCmp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnDelCmp.BackColor = System.Drawing.Color.Red;
+            this.btnDelCmp.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnDelCmp.ForeColor = System.Drawing.Color.Black;
+            this.btnDelCmp.Location = new System.Drawing.Point(134, 597);
+            this.btnDelCmp.Name = "btnDelCmp";
+            this.btnDelCmp.Size = new System.Drawing.Size(120, 30);
+            this.btnDelCmp.TabIndex = 4;
+            this.btnDelCmp.Text = "発注者削除";
+            this.btnDelCmp.UseVisualStyleBackColor = false;
+            this.btnDelCmp.Click += new System.EventHandler(this.btnDelCmp_Click);
+            // 
+            // btnAddFld
+            // 
+            this.btnAddFld.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnAddFld.BackColor = System.Drawing.Color.Aquamarine;
+            this.btnAddFld.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnAddFld.ForeColor = System.Drawing.Color.Black;
+            this.btnAddFld.Location = new System.Drawing.Point(260, 597);
+            this.btnAddFld.Name = "btnAddFld";
+            this.btnAddFld.Size = new System.Drawing.Size(120, 30);
+            this.btnAddFld.TabIndex = 5;
+            this.btnAddFld.Text = "現場追加";
+            this.btnAddFld.UseVisualStyleBackColor = false;
+            this.btnAddFld.Click += new System.EventHandler(this.btnAddFld_Click);
+            // 
+            // Registration
+            // 
+            this.Registration.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.Registration.BackColor = System.Drawing.Color.GreenYellow;
+            this.Registration.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.Registration.ForeColor = System.Drawing.Color.Black;
+            this.Registration.Location = new System.Drawing.Point(1161, 597);
+            this.Registration.Name = "Registration";
+            this.Registration.Size = new System.Drawing.Size(120, 30);
+            this.Registration.TabIndex = 6;
+            this.Registration.Text = "登　録";
+            this.Registration.UseVisualStyleBackColor = false;
+            this.Registration.Click += new System.EventHandler(this.Registration_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnEnd.BackColor = System.Drawing.Color.Magenta;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(1287, 597);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 7;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
             // FrmSelectPayment
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 122)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 123)
@@ -226,6 +226,10 @@
             ApprovalAuthority10,
             ApprovalDate10
         }
+
+        private const long amount_max = 9999999999;             // 金額最大
+        private const long amount_min = -9999999999;            // 金額最小
+
         #endregion
 
         #region クラス定義
@@ -484,6 +488,12 @@
             m_GeneralAffairsFlg = 0,
             m_SecRange = ClsSecurityPermission.SecRangeType.InCharge
         };
+
+        /// <summary>
+        /// エラー行
+        /// </summary>
+        private List<int> m_lstErrorRow = new List<int>();
+
         #endregion
 
         #region コンストラクタ
@@ -950,8 +960,13 @@
                 ResetTargetDate();
                 if (MessageBox.Show("表示中のデータを登録します。", "登録確認", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
                     return;
+
+                // エラー表示を一旦クリア
+                UnsetErrorDisp();
+
                 if (!isDirty)
                     return;
+
                 // 入力内容をチェック
                 foreach (var depositOrderer in depositOrderers)
                 {
@@ -962,7 +977,12 @@
                             && !deposit.DepositAmountCash.HasValue
                             && !deposit.DepositAmountBill.HasValue)
                         {
+                            // エラー表示
+                            int trow = GetRowIndexFromDeposit(depositOrderer, deposit);
+                            SetErrorDisp(trow, new List<int>() { (int)DispColumn.DepositAmountCash, (int)DispColumn.DepositAmountBill });
+
                             MessageBox.Show("入金日が登録されている行に入金金額が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
                             return;
                         }
                         // 入金金額入力済みで入金日が入力されていない
@@ -970,7 +990,12 @@
                             && (deposit.DepositAmountCash.HasValue
                             || deposit.DepositAmountBill.HasValue))
                         {
+                            // エラー表示
+                            int trow = GetRowIndexFromDeposit(depositOrderer, deposit);
+                            SetErrorDisp(trow, new List<int>() { (int)DispColumn.DepositDate });
+
                             MessageBox.Show("入金金額が登録されている行に入金日が入力されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+
                             return;
                         }
                     }
@@ -1009,7 +1034,7 @@
                             SeqNo = deposit.SeqNo,
                             BusinessPeriod = CommonMotions.SystemMasterData.BusinessPeriod,
                             DepositDate = DateTime.Parse(deposit.DepositDate),
-                            DepositAmount = deposit.DepositAmountCash.GetValueOrDefault(0) + deposit.DepositAmountBill.GetValueOrDefault(0), 
+                            DepositAmount = deposit.DepositAmountCash.GetValueOrDefault(0) + deposit.DepositAmountBill.GetValueOrDefault(0),
                             DepositAmountCash = deposit.DepositAmountCash.GetValueOrDefault(0),
                             DepositAmountBill = deposit.DepositAmountBill.GetValueOrDefault(0),
                         };
@@ -1023,11 +1048,11 @@
                             }
                             else
                             {
-                                    // 総務担当
-                                    if (m_UserInfo.m_GeneralAffairsFlg == 1)
-                                    {
-                                        MessageBoardEntry(depositOrderer);
-                                    }
+                                // 総務担当
+                                if (m_UserInfo.m_GeneralAffairsFlg == 1)
+                                {
+                                    MessageBoardEntry(depositOrderer);
+                                }
                             }
                         }
                         // 更新処理
@@ -1222,6 +1247,12 @@
             dgvMaster.CellValueChanged -= DataGridView_CellValueChanged;
             try
             {
+                // 行インデックスが不正な場合はスルー
+                if (e.RowIndex == -1)
+                {
+                    return;
+                }
+
                 // 承認セル以外は無視
                 if ((e.ColumnIndex == (int)DispColumn.PersonName) ||
                     (e.ColumnIndex == (int)DispColumn.ApprovalName_1) ||
@@ -1235,28 +1266,38 @@
                     (e.ColumnIndex == (int)DispColumn.ApprovalName_9) ||
                     (e.ColumnIndex == (int)DispColumn.ApprovalName_10))
                 {
+                    // エラー表示解除
+                    UnsetErrorDisp();
+
                     var cells = dgvMaster.Rows[e.RowIndex].Cells;
                     // 自分以外のセルは編集不可
                     if (CommonMotions.cnvInt(dgvMaster[e.ColumnIndex + 1, e.RowIndex].Value) != CommonMotions.LoginUserData.PersonCode)
                         return;
+
                     var depositOrderer = FindDepositOrderer(e.RowIndex);
                     var depositDetail = depositOrderer.FindDepositDetailByLineCount(CommonMotions.cnvInt(cells[(int)DispColumn.LineCount].Value));
                     // 担当者承認
                     if (e.ColumnIndex == (int)DispColumn.PersonName)
                     {
-                        // 現場が不明な場合は承認不可
-                        if (IsUnknownRow(e.RowIndex))
-                        {
-                            MessageBox.Show("現場が選択されていません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
-                        }
                         // 上位が承認済みの場合は編集不可
                         if (!depositDetail.IsApprovedByApprover)
                         {
-                            if (!depositDetail.IsApprovedByStaff)
+                            // 担当者承認金額チェック
+                            if (CheckStaffApproval(e.RowIndex, depositDetail) == false)
+                            {
+                                return;
+                            }
+
+                            // 未承認→承認の場合
+                            if (depositDetail.IsApprovedByStaff == false)
+                            {
                                 depositDetail.ApprovalDate = DateTime.Now.ToString("yyyy-MM-dd");
+                            }
                             else
+                            {
                                 depositDetail.ApprovalDate = "";
+                            }
+
                             depositDetail.Editted = true;
                         }
                     }
@@ -1264,10 +1305,19 @@
                     {
                         if (depositDetail.DepositApprovals.Count == 0)
                             return;
+
+                        // 担当者承認されていない場合はエラー
+                        if (depositDetail.IsApprovedByStaff == false)
+                        {
+                            MessageBox.Show("担当者の承認が実施されていないため、承認できません。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                            return;
+                        }
+
                         // 承認者に含まれるか確認
                         var approvalIndex = depositDetail.DepositApprovals.FindIndex(a => a.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
                         if (approvalIndex < 0)
                             return;
+
                         // 最終承認以外の場合
                         if (approvalIndex != depositDetail.DepositApprovals.Count - 1)
                         {
@@ -1349,7 +1399,65 @@
         }
         #endregion
 
-        #region セル編集開始時のイベント
+        #region 担当者承認チェック
+        private bool CheckStaffApproval(int trow, DepositDetail depositDetail)
+        {
+            if (depositDetail.IsApprovedByStaff == true)
+            {
+                return true;
+            }
+
+            List<int> lst = new List<int>();
+
+            // 入金金額がマイナス
+            if (depositDetail.DepositAmount < 0)
+            {
+                lst.Add((int)DispColumn.DepositAmount);
+            }
+
+            // 値引金額がマイナス
+            if (depositDetail.DiscountAmount < 0)
+            {
+                lst.Add((int)DispColumn.DiscountAmount);
+            }
+
+            // 協力金がマイナス
+            if (depositDetail.CnstrPrice < 0)
+            {
+                lst.Add((int)DispColumn.CnstrPrice);
+            }
+
+            // 手数料がマイナス
+            if (depositDetail.Fees < 0)
+            {
+                lst.Add((int)DispColumn.Fees);
+            }
+
+            // その他調整額がマイナス
+            if (depositDetail.OtherAdjustments < 0)
+            {
+                lst.Add((int)DispColumn.OtherAdjustments);
+            }
+
+            // 次回繰越がマイナス
+            if (depositDetail.CarryAmount < 0)
+            {
+                lst.Add((int)DispColumn.CarryAmount);
+            }
+
+            if (lst.Count > 0)
+            {
+                if (MessageBox.Show("マイナスの金額が存在しますがこのまま進めてよろしいですか？。", "金額確認", MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    return false;
+                }
+            }
+
+            return true;
+        }
+        #endregion
+
+        #region セルフォーカス取得
         /// <summary>
         /// セル編集開始時のイベント
         /// </summary>
@@ -1362,6 +1470,7 @@
                 if (dgvMaster.RowCount == 0)
                     return;
                 oldCellValue = CommonMotions.cnvString(dgvMaster[e.ColumnIndex, e.RowIndex].Value);
+
             }
             catch (Exception ex)
             {
@@ -1391,11 +1500,26 @@
                     return;
                 var key = GetOrderersKey(e.RowIndex);
                 var depositOrderer = FindDepositOrderer(key.OrderersDivision, key.OrderersCode);
+
+                if ((e.ColumnIndex == (int)DispColumn.DepositAmount) ||
+                    (e.ColumnIndex == (int)DispColumn.DepositAmountCash) ||
+                    (e.ColumnIndex == (int)DispColumn.DepositAmountBill) ||
+                    (e.ColumnIndex == (int)DispColumn.DiscountAmount) ||
+                    (e.ColumnIndex == (int)DispColumn.CnstrPrice) ||
+                    (e.ColumnIndex == (int)DispColumn.Fees) ||
+                    (e.ColumnIndex == (int)DispColumn.OtherAdjustments) ||
+                    (e.ColumnIndex == (int)DispColumn.CarryAmount))
+                {
+                    long val = long.Parse(cellValue);
+                    SetPrice(cells, e.ColumnIndex, val);
+                }
+
                 // 入金情報を編集
                 if (e.ColumnIndex == (int)DispColumn.DepositAmountCash
                     || e.ColumnIndex == (int)DispColumn.DepositAmountBill
                     || e.ColumnIndex == (int)DispColumn.DepositDate)
                 {
+
                     var deposit = depositOrderer.FindDepositBySeqNo(CommonMotions.cnvInt(cells[(int)DispColumn.SeqNo].Value));
                     if (deposit == null)
                     {
@@ -1473,13 +1597,20 @@
                             depositDetail.CarryAmount = amount;
                             break;
                     }
-                    // 繰越金の調整が必要
+                    long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
+
+                    // 繰越金以外を修正した場合、
                     if (bUpdateCarryAmount == true)
                     {
-                        long RequestAmount = depositDetail.BillPrice + depositDetail.TaxPrice;
                         long DepositAmount = depositDetail.DepositAmount + depositDetail.DiscountAmount + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments;
                         depositDetail.CarryAmount = RequestAmount - DepositAmount;
                     }
+                    else
+                    {
+                        long AdjustmentAmount =  depositDetail.DiscountAmount + depositDetail.CnstrPrice + depositDetail.Fees + depositDetail.OtherAdjustments + depositDetail.CarryAmount;
+                        // 繰越金を修正した場合は、入金金額で調整
+                        depositDetail.DepositAmount = RequestAmount - AdjustmentAmount;
+                    }
 
                     depositDetail.Editted = true;
                 }
@@ -2437,9 +2568,9 @@
         }
         #endregion
 
-        #region 発注者区分、発注者コードからヘッダヘッダ行を検索
+        #region 発注者区分、発注者コードからヘッダ行を検索
         /// <summary>
-        /// 発注者区分、発注者コードからヘッダヘッダ行を検索
+        /// 発注者区分、発注者コードからヘッダ行を検索
         /// </summary>
         /// <param name="depositOrderer"></param>
         /// <returns></returns>
@@ -2498,6 +2629,32 @@
         }
         #endregion
 
+        #region 入金情報から行インデックスを取得
+        /// <summary>
+        /// 入金情報から行インデックスを取得
+        /// </summary>
+        /// <param name="depositOrderer"></param>
+        /// <param name="deposit"></param>
+        /// <returns></returns>
+        private int GetRowIndexFromDeposit(DepositOrderer depositOrderer, Deposit deposit)
+        {
+            // ヘッダ行を取得
+            int HdIndex = DetectHeaderIndex(depositOrderer);
+
+            for (int i = HdIndex; i < dgvMaster.Rows.Count; i++)
+            {
+                var cells = dgvMaster.Rows[i].Cells;
+
+                if (CommonMotions.cnvInt(cells[(int)DispColumn.SeqNo].Value) == deposit.SeqNo)
+                {
+                    return i;
+                }
+            }
+
+            return -1;
+        }
+        #endregion
+
         #region 金額の設定
         /// <summary>
         /// 金額の設定
@@ -3157,6 +3314,44 @@
         }
         #endregion
 
+        #region エラー表示
+        private void SetErrorDisp(int trow, List<int> cols)
+        {
+            m_lstErrorRow.Add( trow );
+
+            if( cols.Count == 0)
+            {
+                dgvMaster.Rows[trow].DefaultCellStyle.BackColor = Color.Red;
+            }
+
+            foreach (int tcol in cols)
+            {
+                dgvMaster[tcol, trow].Style.BackColor = Color.Red;
+            }
+
+            return;
+        }
+        #endregion
+
+        #region エラー表示解除
+        private void UnsetErrorDisp()
+        {
+            if( m_lstErrorRow.Count == 0)
+            {
+                return;
+            }
+
+            foreach (int trow in m_lstErrorRow)
+            {
+                dgvMaster.Rows[trow].DefaultCellStyle.BackColor = Color.White;
+            }
+
+            m_lstErrorRow.Clear();
+
+            return;
+        }
+        #endregion
+
         #region デバッグ用非可視列の表示
         /// <summary>
         /// デバッグ用非可視列の表示
@@ -3172,5 +3367,110 @@
         }
         #endregion
 
+        #region セル検証
+        /// <summary>
+        /// セル検証
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellValidating(object sender, DataGridViewCellValidatingEventArgs e)
+        {
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            if (trow == -1)
+            {
+                return;
+            }
+
+            if ((tcol == (int)DispColumn.DepositAmountCash) ||              // 入金金額（振込）
+               (tcol == (int)DispColumn.DepositAmountBill)||                // 入金金額（手形）
+               (tcol == (int)DispColumn.DepositAmount) ||                   // 入金金額
+               (tcol == (int)DispColumn.DiscountAmount) ||                  // 値引金額
+               (tcol == (int)DispColumn.CnstrPrice) ||                      // 協力金
+               (tcol == (int)DispColumn.Fees) ||                            // 手数料
+               (tcol == (int)DispColumn.OtherAdjustments) ||                // その他調整
+               (tcol == (int)DispColumn.CarryAmount))                       // 次回繰越
+            {
+                // カンマは一旦削除して文字列を取得
+                string str = e.FormattedValue.ToString().Replace(",", string.Empty); ;
+
+                // 不要な空白は削除
+                str.Trim();
+
+                // 値が未設定の場合は０とする
+                if (str == "")
+                {
+                    str = "0";
+                }
+
+                long n = 0;
+
+                if (long.TryParse(str, out n) == true)
+                {
+                    if ((n > amount_max) || (n < amount_min))
+                    {
+                        MessageBox.Show("金額が登録可能範囲(-9,999,999,999～9,999,999,999)を超えました。", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        e.Cancel = true;
+                    }
+
+                }
+                else
+                {
+                    MessageBox.Show("金額を入力してください", "入力エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    e.Cancel = true;
+                }
+
+            }
+
+            return;
+        }
+        #endregion
+
+        #region セル編集開始
+        /// <summary>
+        /// セル編集開始
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellBeginEdit(object sender, DataGridViewCellCancelEventArgs e)
+        {
+            dgvMaster.CellBeginEdit -= dgvMaster_CellBeginEdit;
+
+            int tcol = e.ColumnIndex;
+            int trow = e.RowIndex;
+
+            if ((tcol == (int)DispColumn.DepositAmountCash) ||
+                (tcol == (int)DispColumn.DepositAmountBill) ||
+                (tcol == (int)DispColumn.DepositAmount) ||
+                (tcol == (int)DispColumn.DiscountAmount) ||
+                (tcol == (int)DispColumn.CnstrPrice) ||
+                (tcol == (int)DispColumn.Fees) ||
+                (tcol == (int)DispColumn.OtherAdjustments) ||
+                (tcol == (int)DispColumn.CarryAmount))
+            {
+                string val;
+
+                // セルに値が格納されている場合
+                if (dgvMaster[tcol, trow].Value != null)
+                {
+                    // カンマ区切りを解除
+                    val = dgvMaster[tcol, trow].Value.ToString().Replace(",", string.Empty);
+                }
+                else
+                {
+                    // 0を入力
+                    val = "0";
+                }
+                dgvMaster[tcol, trow].Value = val;
+
+                // 文字色は一律黒
+                dgvMaster[tcol, trow].Style.ForeColor = Color.Black;
+
+            }
+            dgvMaster.CellBeginEdit += dgvMaster_CellBeginEdit;
+
+        }
+        #endregion
     }
 }
